@import '../variables';

.web-dropdown {
  background: transparent;
  border: solid 1px $lightPurple;
  border-radius: initial;
  transition: 0.2s;
  min-width: 100px;

  .dropdown.icon {
    font-size: 18px;
    color: $lightGrey;
    margin-top: -22px;
  }

  input, div.text, .message {
    color: $lightGrey;
  }

  .menu {
    background: rgb(23, 23, 45);
    border-color: $lightPurple;
    border-radius: initial;

    &::-webkit-scrollbar {
      background: rgba(255, 255, 255, 0.1);
    }
    &::-webkit-scrollbar-thumb {background-color:#ffffff ; border: 1px solid black;}

    .item {
      color: $grey;
      border: none;

      &.selected {
        color: white;
      }
    }
  }

  &:hover {
    border-color: white;

    .menu {
      border-color: white;
    }
  }

  &.loading {
    .dropdown.icon {
      &:after {
        border-color: white transparent transparent;
      }
    }
  }
}
